<?php

namespace App;

use App\BOB;
use Amp\Parallel\Worker\Environment;
use Amp\Parallel\Worker\Task;
use Amp\Parallel\Worker\TaskFailureError;
use Amp\Parallel\Worker\TaskFailureException;
use Amp\Parallel\Worker\TaskFailureThrowable;

class Checker implements Task
{
    private $options = [];
    private $base32;

    public function __construct($base32, $options = [])
    {
        $this->options = array_merge($this->options, (array) $options);
        $this->base32 = $base32;
    }

    /**
     * @param Environment $environment
     * @return \Amp\Promise|\Generator|mixed
     */
    public function run(Environment $environment)
    {
        $bob = new BOB($this->options);
        $bob->getnick();

        $result = false;
        for ($i = 0, $tries = $this->options['check_tries']; $i < $tries; ++$i) {
            $result = $bob->lookuplocal($this->base32 . ".b32.i2p");
            if(!$result) {
                $result = $bob->lookup($this->base32 . ".b32.i2p");
            }

            if ($result) {
                break;
            }
        }

        $bob = null;
        echo "Processed " . $this->base32 . ": " . ($result ? "online" : "offline") . PHP_EOL;
        return $result;
    }
}

