<?php

require_once __DIR__ . '/../vendor/autoload.php';
require_once __DIR__ . '/../config.php';

/* Initialize Twig engine */
$loader = new \Twig\Loader\FilesystemLoader(__DIR__ . '/../templates');
$twig = new \Twig\Environment($loader, [
    'cache' => __DIR__ . '/../cache',
    'auto_reload' => true,
]);

$subscrs = array();

if ($options['fetcher']) {
    $pdo = (new App\DB($options))->pdo;

    $STH = $pdo->query ("SELECT `name` FROM `subscriptions` WHERE `active` = 1");
    $STH->setFetchMode(PDO::FETCH_ASSOC);
    $subscrs = $STH->fetchAll();
}

$vars = array(
    'approval'   => $options['approval'],
    'apprdelay'  => $options['approvedelay'],
    'apprseen'   => $options['approveseen'],
    'newdays'    => $options['newdays'],
    'delnewdays' => $options['delnewdays'],
    'delolddays' => $options['delolddays'],
    'hidedays'   => $options['hidedays'],
    'fullhour'   => $options['fullhour'],
    'fetcher'    => $options['fetcher'],
    'subscrs'    => $subscrs
);

$template = $twig->load('home.twig');
echo $template->render($vars);
